{% extends 'base.html' %}
{% load static %}


{% block meta %}
  <title>Articles</title>    
  <link rel="stylesheet" href="{% static 'css/artikel.css' %}">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
{% endblock meta %}


{% block content %}
  
  <div class="art">
    <h1 class="text-center display-4 fw-bold" style="color: #FFFFFF;">Articles</h1>
    <hr class="my-4" style="width: 10%; height: 3px; background-color: #FFFFFF; margin: auto">
    <div class="accordion" id="accordionExample" style="margin:0 10%">
      <div class="accordion-item btn-dark">
        <h2 class="accordion-header" id="headingOne">
          <button class="accordion-button " type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne"  style="background-color: #131313; color: white;">
            What is an Article?
          </button>
        </h2>
        <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
          <div class="accordion-body btn-dark" style="text-align: justify; ">
            <strong>An article</strong> is an essay that contains facts, opinions, or ideas that are made to be published in online media and conventional media. Articles must be written in a structured and systematic manner so that they are easy to read and understand. 
          </div>
        </div>
      </div>
      <div class="accordion-item btn-dark">
        <h2 class="accordion-header" id="headingTwo">
          <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo" style="background-color: #131313; color: white;">
            Article Function
          </button>
        </h2>
        <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
          <div class="accordion-body btn-dark" style="text-align: left;">
            1. As a means to convey the author's ideas. <br>
            2. Train to think systematically. <br>
            3. Understand the purpose of writing. <br> 
            4. As a means of publishing the results of scientific thoughts. <br>
            5. Improve the author's insight. <br>
            6. Offers clarity. 
          </div>
        </div>
      </div>
      <div class="accordion-item btn-dark">
        <h2 class="accordion-header" id="headingThree">
          <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree" style="background-color: #131313; color: white;">
            How to Write Article?
          </button>
        </h2>
        <div id="collapseThree" class="accordion-collapse collapse" aria-labelledby="headingThree" data-bs-parent="#accordionExample">
          <div class="accordion-body btn-dark" style="text-align: left;">
            1. Forming your idea <br>
            2. Researching your idea <br>
            3. Outlining your idea <br>
            4. Writing your article <br>
            5. Finalizing your article
          </div>
        </div>
      </div>
    </div>
    <br><br>
    <h2> Search Article</h2><br>
    <h4> Gain more insights, tips about well-being,increase your idea and write yours. </h4>
  </div>
  <div class="cards-art" >
    
    <div class="cards-artL">
      <form class="d-flex" id="search_form">
        {% csrf_token %}
        <input class='form-control me-2' type="search" id="search_artikel" placeholder="type title here">
        
      </form>
      
    </div>
    <div class="cards-artR">
      <a href= "add">
        <button type="button" class="btn btn-secondary" style="background-color: #6B46C1;">
          Add new article</button></a>
    </div>
    <br>
    <div class="col-md-12" id="cards">
      {% if artikel %}
      {%for i in artikel%}
      <div class="cards">
          <div class="incards">
              <div class="incards-left">
              <h3>{{i.judul}}</h3>
              <p  class="demo"> {{i.isi}}</p>
              <a href="{% url 'article:artikel_detail' i.id %}" style="text-decoration: none;color:#744cc5 ;">Readmore →</a>
              </div>
              <div class="incards-right">
                  <p>Made by {{i.penulis}}</p>
                  <p>Post on {{i.datetime}}</p>
              </div>
          </div>    
      </div>
      {%endfor%}
      {% endif %}
    </div>
  </div>
  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
  <script>
    const url = window.location.href
    const searchForm = document.getElementById('search_form')
    const searchInput = document.getElementById('search_artikel')
    const cards = document.getElementById('cards')

    const csrf = document.getElementsByName('csrfmiddlewaretoken')[0].value
    console.log(csrf)

    $('form').submit(false);

    const sendSearchData = (artikel) => {
        $.ajax({
            type: 'POST',
            url: 'search',
            data: {
                'csrfmiddlewaretoken': csrf,
                'artikel': artikel,
            },
            success: (result) => {
                console.log(result.data)
                const data = result.data
                if (Array.isArray(data)) {
                    cards.innerHTML = ''
                    data.forEach(artikel => {
                        cards.innerHTML += `
                        <div class="cards">
                          <div class="incards">
                            <div class="incards-left">
                            <h3>${artikel.judul}</h3>
                            <p  class="demo"> ${artikel.isi}</p>
                            <a href="${artikel.id}" style="text-decoration: none;color:#744cc5 ;">Readmore →</a>
                            </div>
                            <div class="incards-right">
                              <p>Made by ${artikel.penulis}</p>
                              <p>Post on ${artikel.datetime}</p>
                            </div>
                          </div>    
                        </div>
                        `
                    })
                } else {
                    cards.innerHTML = `
                                        <b style="color: #FFFFFF">${data}</b>
                                        `
                }
            },
            error: (error) => {
                console.log(error)
            }
        })
    }
    searchInput.addEventListener('keyup', e=>{
        console.log(e.target.value)
        sendSearchData(e.target.value)
    })

  </script>

{% endblock content %}

   
    
    